package map;
import java.util.Iterator;

/** This unordered-dictionary interface is adapted from section 8.3 of
 * the textbook.  A dictionary is like a map, but it allows several
 * entries with the same key.  In a dictionary, the find(k) and
 * remove(k) methods return an ARBITRARY entry with key k.
 * To get ALL such entries, use the additional methods below.
 */

public interface Dictionary extends Map {

  /** Return a possibly empty iterator over all entries with key k. */
  public Iterator findAll(Object k);

  /** Remove all entries with key k, if any, and return an iterator
   * over those entries.
   */
  public Iterator removeAll(Object k);
}
